echo off
cls

cd /D "%~dp0"

regsvr32 /s .\FilezoShell.dll

if %ERRORLEVEL% NEQ 0 ( 
	echo A. Error code is %ERRORLEVEL%.
	net helpmsg %errorlevel%

	if %ERRORLEVEL% EQU 5 ( 
		echo Run as Administrator
	)

	goto pause
)


regedit /s .\FilezoShell.reg

echo Filezo integrated with Windows File Explorer. Press ENTER key.

if %ERRORLEVEL% NEQ 0 ( 
	echo C. Error code is %ERRORLEVEL%. Run as Administrator.
	net helpmsg %errorlevel%
	
	if %ERRORLEVEL% EQU 5 ( 
		echo Run as Administrator
	)

	goto pause
)

:pause

pause